package chapter29;

// ParenthesesFlagTest.java
// Using the ( flag to place parentheses around negative numbers.

public class ParenthesesFlagTest
{
    public static void main( String args[] )
    {
        System.out.printf( "%(d\n", 50 );
        System.out.printf( "%(d\n", -50 );
        System.out.printf( "%(.1e\n", -50.0 );
    } // end main
} // end class parenthesesFlagTest

